Bug 1845179 - [Backport][OSP16.1] [OSP13] Remove VxFlex OS credentials from connection_properties
Summary: [Backport][OSP16.1] [OSP13] Remove VxFlex OS credentials from connection_prop...
Keywords:
Status: CLOSED DUPLICATE of bug 1842748
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 16.1 (Train)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Cinder Bugs List
QA Contact: Tzach Shefi
Chuck Copello
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-08 15:22 UTC by Rajini Karthik
Modified: 2020-06-10 09:34 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-10 09:34:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 733100 None MERGED Remove VxFlex OS credentials from connection_properties 2020-10-22 10:36:11 UTC
OpenStack gerrit 733104 None MERGED Remove VxFlex OS credentials from connection_properties 2020-10-22 10:36:11 UTC
OpenStack gerrit 733107 None MERGED Remove VxFlex OS credentials from connection_properties 2020-10-22 10:36:11 UTC
OpenStack gerrit 733110 None MERGED Remove VxFlex OS credentials from connection_properties 2020-10-22 10:36:11 UTC

Description Rajini Karthik 2020-06-08 15:22:31 UTC
Description of problem:
It is a security bug and we request a backport to queens and train 16.1
Train:
https://review.opendev.org/#/c/733107/ - cinder
https://review.opendev.org/#/c/733100/ - os_brick

Queens:
https://review.opendev.org/#/c/733104/ - os-brick
https://review.opendev.org/#/c/733110/ - cinder

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Luigi Toscano 2020-06-10 09:34:17 UTC
Note that we would need a bug per each OSP release, but this is a security bug and it has a slightly different handling process.

Please refer to the tracker bug from the security team:
https://bugzilla.redhat.com/show_bug.cgi?id=1842748

and more important the original OSP10 bug: 
https://bugzilla.redhat.com/show_bug.cgi?id=1695279

*** This bug has been marked as a duplicate of bug 1842748 ***


Note You need to log in before you can comment on or make changes to this bug.